| Kea 3.0.2-git

isc::db::ServerFetcher Class Reference

Utility class used to fetch `Server` objects from the `ServerCollection`. More...

`#include <server_collection.h>`

## Static Public Member Functions
static ServerPtr | get (const ServerCollection &collection, const data::ServerTag &server_tag)
| Fetches server from the collection by tag.

## Detailed Description

Utility class used to fetch `Server` objects from the `ServerCollection`.

Definition at line 39 of file server_collection.h.

## Member Function Documentation

## ◆ get()

ServerPtr isc::db::ServerFetcher::get | ( | const ServerCollection & | collection,
|  | const data::ServerTag & | server_tag )
| static

Fetches server from the collection by tag.

Returns
  Pointer to the `Server` object or null if no such object was found.

Definition at line 17 of file server_collection.cc.

References isc::data::ServerTag::get().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- server_collection.h
- server_collection.cc